﻿Public Class frmQuery
    Dim stuDT As New DataTable
    Dim rowIndx As Integer
    Dim connStr As String
    Dim sqlStr As String
    Private Sub frmQuery_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        Dim currpath As String = System.Environment.CurrentDirectory
        connStr = "Provider=Microsoft.ACE.OLEDB.12.0;" & _
            "Data Source = " & currpath & "\stu2000.accdb"

    End Sub
    Sub FillTextBoxes()
        txtIdno.Text = CStr(stuDT.Rows(rowIndx)("Idno"))
        txtName.Text = CStr(stuDT.Rows(rowIndx)("Name"))
        txtGPA.Text = CDec(stuDT.Rows(rowIndx)("GPA"))
        txtMajor.Text = CStr(stuDT.Rows(rowIndx)("Major"))
    End Sub
    Sub DoAdapter()
        Dim dataAdapter As New OleDb.OleDbDataAdapter(sqlStr, connStr)
        stuDT.Clear()
        dataAdapter.Fill(stuDT)
        FillTextBoxes()
    End Sub

    Private Sub btnFirst_Click(sender As System.Object, e As System.EventArgs) Handles btnFirst.Click
        rowIndx = 0
        FillTextBoxes()
    End Sub

    Private Sub btnNext_Click(sender As System.Object, e As System.EventArgs) Handles btnNext.Click
        If rowIndx < stuDT.Rows.Count - 1 Then
            rowIndx = rowIndx + 1
            FillTextBoxes()
        Else
            rowIndx = 0
            FillTextBoxes()

        End If
    End Sub

    Private Sub btnPrevious_Click(sender As System.Object, e As System.EventArgs) Handles btnPrevious.Click
        If rowIndx > 0 Then
            rowIndx = rowIndx - 1
            FillTextBoxes()
        Else
            rowIndx = 0
            FillTextBoxes()
        End If
    End Sub

    Private Sub btnLast_Click(sender As System.Object, e As System.EventArgs) Handles btnLast.Click
        rowIndx = stuDT.Rows.Count - 1
        FillTextBoxes()
    End Sub

    Private Sub btnAll_Click(sender As System.Object, e As System.EventArgs) Handles btnAll.Click
        sqlStr = "Select * from tablestu"
        'Dim dataAdapter As New OleDb.OleDbDataAdapter(sqlStr, connStr)
        'stuDT.Clear()
        'dataAdapter.Fill(stuDT)
        'FillTextBoxes()
        DoAdapter()
    End Sub


    Private Sub btnCheckGPA_Click(sender As System.Object, e As System.EventArgs) Handles btnCheckGPA.Click
        Dim lowGPA As Decimal
        Dim highGPA As Decimal
        lowGPA = InputBox("You will be entering the GPA range, enter the low end here")
        highGPA = InputBox("Now, enter the high end here")
        'lowGPA = CDec(lowGPA)
        'highGPA = CDec(highGPA)
        'sqlStr = "Select * from tablestu where GPA > " & lowGPA & " and GPA <= " & highGPA
        sqlStr = "Select * from tablestu where GPA Between " & lowGPA & " and " & highGPA
        'Dim dataAdapter As New OleDb.OleDbDataAdapter(sqlStr, connStr)
        'stuDT.Clear()
        'dataAdapter.Fill(stuDT)
        'FillTextBoxes()
        DoAdapter()
    End Sub

    Private Sub btnChkMajor_Click(sender As System.Object, e As System.EventArgs) Handles btnChkMajor.Click
        Dim theMajor As String
        theMajor = InputBox("Please enter the major you want")
        'sqlStr = "Select * from tablestu where major = 'CI'"
        'sqlStr = "Select * from tablestu where major = " & "'CI'"
        sqlStr = "Select * from tablestu where major = '" & theMajor & "'"
        MsgBox(sqlStr)
        'sqlStr = "Select * from tablestu where major = " & "theMajor"
        'MsgBox(sqlStr)
        DoAdapter()
    End Sub

    Private Sub btnAndOr_Click(sender As System.Object, e As System.EventArgs) Handles btnAndOr.Click
        Dim lowGPA As Decimal
        Dim highGPA As Decimal
        Dim theMajor As String
        theMajor = InputBox("Please enter the major you want")
        lowGPA = InputBox("You will be entering the GPA range, enter the low end here")
        highGPA = InputBox("Now, enter the high end here")
        sqlStr = "Select * from tablestu where major = '" & theMajor & "' and (GPA < " & lowGPA & " or GPA >= " & highGPA & ")"
        MsgBox(sqlStr)
        DoAdapter()
    End Sub
End Class
